require 'rubygems'
#require 'cpp/rgal.so'
require 'json'


module Resources
	fileList = ["cube",
						  "disc",
							"sphere",
							"wp_complex",
							"wp_complex2",
							"wp_hole"]
	@@data = {}
	@@nefs = {}
	fileList.collect{|file|
		jsonString = File.read( File.join("resources", file + ".json") )
		jsonObject = JSON::parse(jsonString)
		jsonObject["points"].collect{|point| point.collect{|x| (x*1000).to_i.to_f/1000}}
		@@data[file.to_sym] = jsonObject
		@@nefs[file.to_sym] = RGAL::Nef.new(jsonObject["points"], jsonObject["polygons"])
	}

	def self.data()
		return @@data
	end

	def self.nefs()
		return @@nefs
	end
end
